apiVersion: batch/v1beta1
kind: CronJob
metadata:
  labels:
    {{ network_policy_deployment_label }}: {{ curator_name }}
  name: {{ curator_name }}
  namespace: {{ namespace }}
spec:
  concurrencyPolicy: Forbid
  failedJobsHistoryLimit: 3
  jobTemplate:
    metadata:
      labels:
        name: {{ curator_name }}
    spec:
      template:
        metadata:
          labels:
            name: {{ curator_name }}
        spec:
          automountServiceAccountToken: false
          containers:
          - args:
            - --config
            - /etc/config/config.yml
            - /etc/config/action_file.yml
            image: {{ (opsimages | json_query("[?name=='curator'].image"))[0] }}
            imagePullPolicy: {{ pull_policy }}
            name: curator
            resources:
              limits:
                cpu: "{{ curator_cpu_limit }}"
                memory: "{{ curator_memory_limit }}"
              requests:
                cpu: "{{ curator_cpu_request }}"
                memory: "{{ curator_memory_request }}"
            volumeMounts:
            - mountPath: /etc/config
              name: config
{% if k8s_resource_nodes_selectors | length > 0 %}
          nodeSelector:
{% for sel in k8s_resource_nodes_selectors %}
            {{ sel.split('=')[0] }}: "{{ sel.split('=')[1] if (sel.split('=') | length > 1) else '' }}"
{% endfor %}
{% endif %}
          restartPolicy: OnFailure
          securityContext:
            allowPrivilegeEscalation: false
            runAsUser: {{ k8s_unprivileged_userid }}
{% if job_allow_unschedulable | default(True) %}
          tolerations:
          - effect: NoSchedule
            key: node.kubernetes.io/unschedulable
            operator: Exists
{% else %}
          tolerations: {}
{% endif %}
          volumes:
          - configMap:
              defaultMode: 420
              name: {{ curator_name }}
            name: config
  schedule: 0 1 * * *
  startingDeadlineSeconds: 120
  successfulJobsHistoryLimit: 1
  suspend: false
